window.onload=function(){
	if (typeof (history.pushState) != "undefined") {
		// history.pushState(null, null, 'admin_register_v2');
	}
	$('body').fadeIn(1000);
	$("#history").html("LOADING...");
	history_refresh();
	dup_mgrname_check_refresh();
	winResize();
};

function winResize() {
	var screenWidth = $("#myTable").width();
	$('body').css("min-width",screenWidth+"px");
	//$("#myTable").css("max-width",screenWidth+"px");
}

$(document).ready(function () {
	setInterval( function () {
		winResize();
 	}, 1000); // history reload 간격
});

$(document).ready(function () {
	setInterval( function () {
 	history_refresh();
 	}, 20000); // history reload 간격
});

$(document).ready(function () {
 	setInterval( function () {
 	dup_mgrname_check_refresh();
 	}, 20000); //관리넘버 중복 체크
});

$(document).ready(function () {
	function applyInputRestrictions() {
		$('input[type="text"]').off('input keyup paste').on('input keyup', function() {
			let value = $(this).val();
			if (value.indexOf('\\') !== -1) {
				$(this).val(value.replace(/\\/g, ''));
			}
		}).on('paste', function(event) {
			event.preventDefault();
			let pasteData = event.originalEvent.clipboardData.getData('text');
			pasteData = pasteData.replace(/\\/g, '');

			// 현재 입력 필드의 값
			let currentValue = $(this).val();
			// 커서 위치
			let start = this.selectionStart;
			let end = this.selectionEnd;

			// 선택된 텍스트를 제거하고 붙여넣기
			let newValue = currentValue.substring(0, start) + pasteData + currentValue.substring(end);
			$(this).val(newValue);
		});
	}
	$.fn.dataTable.ext.errMode='none';
	$.fn.DataTable.ext.pager.numbers_length = 30;
    /*
    $.fn.dataTable.ext.search.push(
        function(settings, data, dataIndex){
            var min = Date.parse($('#fromDate').val()+' 00:00:00');
            var max = Date.parse($('#toDate').val()+' 23:59:59');
            var targetDate = Date.parse(data[1]);

            if( (isNaN(min) && isNaN(max) ) ||
                (isNaN(min) && targetDate <= max )||
                ( min <= targetDate && isNaN(max) ) ||
                ( targetDate >= min && targetDate <= max) ){
                    return true;
            }
            return false;
        }
    )
	*/

    var table = $('#myTable').DataTable({
		ajax: {
			url: 'index_admin_register_load_data_ajax_v2.php',
			type: 'POST',
			data: {
				cate: $('#cate').text(),
				mid: $('#mid').text(),
				s: $('#s').text(),
				g: $('#g').text(),
				action:'ajax'
			},
			dataSrc: function (jData) {
				try {
					if (jData[0]['explogin'] !== null && jData[0]['explogin'] !== undefined) {
						if (jData[0]['explogin'] == "fail") {
							$('body').hide();
							$("#logoutform").submit();
							//window.location = "login_admin.php?m=시스템에%20의해%20로그아웃%20되었습니다.";
							$(".divwait").css("display","none");
							return false;
						} else {
							$(".divwait").css("display","none");
							return jData;
						}
					} else {
						$(".divwait").css("display","none");
						return jData;
					}
				} catch (e) {
					$(".divwait").css("display","none");
					return jData;
				}
			},
		},
		lengthMenu: [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 30, 40, 50 ],
		displayLength: 20,
		stateSave: false,
        responsive: false,
        orderMulti: true,
        order : [[0, 'desc']],
		pagingType: "full_numbers",
        columns: [
            {"data": "no"},
            {"data": "datetime"},
            {"data": "storeid"},
            {"data": "memname"},
            {"data": "memid"},
            {"data": "cnt_new_registration"},
            {"data": "cnt_jobstat_remark"},
            {"data": "cnt_jobact"},
            {"data": "mempwd"},
            {"data": "visit"},
            {"data": "level"},
            {"data": "status"},
            {"data": "log"},
			{"data": "idlink"},
            {"data": "del"}
        ],
		drawCallback: function() {
			// Re-apply the input restrictions
			applyInputRestrictions();
		},
        language: {
            "emptyTable": "표시할 데이터가 없습니다.",
            "lengthMenu": "페이지당 _MENU_ 개씩 보기",
            "info": "현재 _START_ - _END_ / _TOTAL_건",
            "infoEmpty": "현재 _START_ - _END_ / _TOTAL_건",
            "infoFiltered": "( _MAX_건의 데이터에서 필터링됨 )",
            "search": "으로 결과내 검색: ",
            "zeroRecords": "검색조건에 맞는 데이터가 없습니다.",
            "loadingRecords": "<div style='display:flex; justify-content:center; align-items:center; width:100%; height:100%; background:#ffffff; box-sizing:border-box; margin:0 auto 0;'><img src='img/loding_sand.gif' style='filter: invert(0%); width:20%; max-width:100px;'></div>",
            "processing":     "잠시만 기다려 주세요...",
            "paginate": {
                "next": "다음",
                "previous": "이전"
            }
        },
        /* Footer에 금액총합 구하기,
         * filtered data 총합만 계산하도록 함.*/
		/*
        footerCallback: function(){
            var api = this.api(), data;
            var result = 0;
            api.column(7, {search:'applied'}).data().each(function(data,index){
                result += parseFloat(data);
            });
            $(api.column(7).footer()).html(result.toLocaleString()+"");
        },
		*/
        dom : 'Blfrtip',
        buttons:[/*{
			extend:'csvHtml5',
			text: '엑셀파일(CSV)로 내보내기',
			footer: true,
			bom: true,
			className: 'exportCSV'
		}*/],
		columnDefs: [
			{
			  targets: [5, 6, 7], // 실제 $cnt_new_registration_disp 변수를 넣는 열 번호
			  createdCell: function(td) {
				$(td).css({
				  'width': '10%',
				  'min-width': '100px',
				  'max-width': '300px',
				  'text-align': 'center',
				  'white-space': 'nowrap',
				  'overflow': 'auto'
				});
			  }
			}
		],
		createdRow: function (row, data, dataIndex) {
			// id가 "cnt_"로 시작하는 버튼만 선택
			$(row).find('button[id^="cnt_"]').on('click', function() {
			  // 클릭된 버튼의 id
			  const btnId = this.id;
			  // 버튼 id를 추가 파라미터로 전달
			  register_admin_cnt_popup(data.no, '1', btnId);
			});
		  }
    });

	// Initial application of restrictions
	applyInputRestrictions();

    /* Column별 검색기능 추가 */
    $('#myTable_filter').prepend('<select id="select"></select>');
	// 제외할 문자열 배열
	const excludedOptions = [
		"렌탈상태", "마켓세팅", "마켓노출", "리셀러노출", "경매",
		"강제중지", "서버숨김", "서버관리/요청", "상태", "재부팅",
		"IoT", "알림쪽지", "트래픽(Mbps)", "원격대기", "변경이력", "삭제", "Computer Specifications"
	];
    $('#myTable > thead > tr').children().each(function (indexInArray, valueOfElement) {
		const optionText = valueOfElement.innerHTML;

        // 옵션이 제외할 문자열 배열에 포함되지 않은 경우에만 추가
        if (!excludedOptions.includes(optionText)) {
            $('#select').append('<option>' + optionText + '</option>');
        } else {
			$('#select').append('<option disabled style="display: none;">' + optionText + '</option>');
		}
    });

	// 검색 input 요소
    const $searchInput = $('#myTable_filter input[type="search"]');
	$searchInput.attr('type', 'date');
	$searchInput.attr('placeholder', '날짜를 선택하세요');

    // select의 change 이벤트 핸들러
    $('#select').on('change', function() {
        const selectedOption = $(this).val();

        // 특정 문자열이 포함된 경우
        if (selectedOption.includes("등록일") || selectedOption.includes("처리기한") ||
            selectedOption.includes("완료일시") || selectedOption.includes("시작일") ||
            selectedOption.includes("만료일")) {
            // input type을 date로 변경
            $searchInput.attr('type', 'date');
            $searchInput.attr('placeholder', '날짜를 선택하세요');
        } else {
            // input type을 search로 변경
            $searchInput.attr('type', 'search');
            $searchInput.attr('placeholder', '검색어를 입력하세요');
			$searchInput.val('');
        }
    });

    $('.dataTables_filter input').unbind().bind('propertychange change keyup paste input', function () {
        var colIndex = document.querySelector('#select').selectedIndex;
        table.column(colIndex).search(this.value).draw();
    });

    /* 날짜검색 이벤트 리바인딩 */
	/*
    $('#myTable_filter').prepend('<input type="date" id="toDate" placeholder="yyyy-MM-dd">  ');
    $('#myTable_filter').prepend('<input type="date" id="fromDate" placeholder="yyyy-MM-dd"> ~');
    $('#toDate, #fromDate').unbind().bind('propertychange change keyup paste input',function(){
        table.draw();
    })
	*/

	$(".dataTables_filter").attr("style","position:absolute; top:-4px; left:290px;");

});

function logout(s) {
	if (confirm("로그아웃 하시겠습니까?"))
	{
		$("#logoutform").submit();
	} else {
		return false;
	}
}

function refresh(s) {
	location.reload();
}

function del(num) {
	if (confirm("[관리번호:"+num+"]을 삭제하시겠습니까?"))
	{
		$.ajax({
			url: 'index_admin_register_delete_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				num: num,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == 'ok')
					{
						$("#d_"+num).text("삭제됨");
						$("#d_"+num).css("color","orangered");
						alert("삭제 되었습니다!");
					}
				}
			}
		});
	}
}

function del_redo(num) {
	if (confirm("[관리번호:"+num+"]을 삭제취소(복원) 하시겠습니까?"))
	{
		$.ajax({
			url: 'index_admin_register_delete_redo_ajax_v2.php',
			type: 'POST',
			dataType: 'html',
			data: {
				num: num,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == 'ok')
					{
						$("#d_"+num).text("복원됨");
						$("#d_"+num).css("color","orangered");
						alert("삭제취소(복원) 되었습니다!");
					}
				}
			}
		});
	}
}

function resetpwd(num,storeid,adminid,store_disp) {
	var resetpwdtext = prompt("변경할 암호를 입력하세요");
	if (resetpwdtext!=null && resetpwdtext!='') {
		resetpwdtext = resetpwdtext.trim();
		if (resetpwdtext!=null && resetpwdtext!='') {
			if (confirm("[관리번호:"+num+"]\n\n"+"서버실: "+store_disp+" "+"\n변경할 아이디: "+adminid+"\n변경될 암호: "+resetpwdtext+"\n\n관리자 암호를 위와 같이 변경하실려면 확인 버튼을 누르십시오!\n\n이 작업은 복구가 되지 않습니다."))
			{
				$.ajax({
					url: 'index_admin_register_resetpwd_ajax_v2.php',
					type: 'POST',
					dataType: 'html',
					data: {
						num: num,
						adminid: adminid,
						storeid: storeid,
						adminpwd: resetpwdtext,
						action:'ajax'
					},
					success:function(data)
					{
						if(data)
						{
							if (data == 'ok')
							{
								$("#p_"+num).text(resetpwdtext);
								alert("암호가 정상적으로 변경 되었습니다!");
							}
						}
					}
				});
			} else {
				alert("암호변경절차가 취소 되었습니다!");
			}
		} else {
			alert("공백문자만 나열된 암호 또는 빈암호는 허용되지 않습니다.\n암호변경절차가 취소 되었습니다!");
		}
	} else {
		alert("공백문자만 나열된 암호 또는 빈암호는 허용되지 않습니다.\n암호변경절차가 취소 되었습니다!");
	}
}


function level_change(no, blevel, level) {
	if (blevel == level) {
		return false;
	} else {
		if (no!=null && no!='' && level!=null && level!='' && blevel!=null && blevel!='') {
			if (confirm("[관리번호:"+no+"]의 관리자ID의 레벨을\n레벨 '"+blevel+"' 에서 레벨 '"+level+"'(으)로 변경하실려면 확인 버튼을 누르십시오!"))
			{
				$.ajax({
					url: 'index_admin_register_levelchange_ajax_v2.php',
					type: 'POST',
					dataType: 'html',
					data: {
						no: no,
						level: level,
						cate: $("#cate").text(),
						action:'ajax'
					},
					success:function(data)
					{
						if(data)
						{
							if (data == 'ok')
							{
								$("#level_title_"+no).text("현재:"+level);
								alert("레벨을 정상적으로 변경 하였습니다!");
								location.reload();
							}
						}
					}
				});
			} else {
				$('#level_select_'+no).val(blevel).trigger('change');
				alert("관리자ID 레벨변경절차가 취소 되었습니다!");
			}
		}
	}
}

$(function(){
	var oldVal;
	$("#xxxxx").change(function() {
		var currentVal = $(this).val();
		alert(currentVal);
/*
		if(currentVal == oldVal) {
			return;
		}
		oldVal = currentVal;

		$.ajax({
			url: 'my_captcha_key_chk_ajax.php',
			type: 'POST',
			dataType: 'html',
			data: {
				input_captcha: currentVal,
				action:'ajax'
			},
			success:function(data)
			{
				if(data)
				{
					if (data == 'y')
					{
						$("#MyCaptchaChk").val("y");
						$("#submitDiv").css("pointer-events", "auto");
						$("#submitDiv").css("opacity", "1.0");

					} else {
						$("#MyCaptchaChk").val("n");
						$("#submitDiv").css("pointer-events", "none");
						$("#submitDiv").css("opacity", "0.2");
					}
				}
			}
		});
*/
	});

});


function history_refresh() {
	console.log("history_refresh...");
	$.ajax({
		url: 'index_admin_list_history_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			storeid: $("#dstoreid").text().trim(),
			s: $('#s').text(),
			g: $('#g').text(),
			action:'ajax'
		},
		success:function(data)
		{
			if(data)
			{
				$("#history").html(data);
			}
		}
	});
}

function dup_mgrname_check_refresh() {
	$.ajax({
		url: 'index_admin_list_dup_mgrname_check_item6_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			storeid: $("#dstoreid").text().trim(),
			s: $('#s').text(),
			g: $('#g').text(),
			action:'ajax'
		},
		success:function(data)
		{
			//console.log("dup_mgrname_check_refresh="+data);
			if(data)
			{
				$("#dup_mgrname_msg_item6").html(data);
			}
		}
	});
	$.ajax({
		url: 'index_admin_list_dup_mgrname_check_item8_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			storeid: $("#dstoreid").text().trim(),
			s: $('#s').text(),
			g: $('#g').text(),
			action:'ajax'
		},
		success:function(data)
		{
			//console.log("dup_mgrname_check_refresh="+data);
			if(data)
			{
				$("#dup_mgrname_msg_item8").html(data);
			}
		}
	});
	$.ajax({
		url: 'index_admin_list_dup_mgrname_check_item9_ajax_v2.php',
		type: 'POST',
		dataType: 'html',
		data: {
			storeid: $("#dstoreid").text().trim(),
			s: $('#s').text(),
			g: $('#g').text(),
			action:'ajax'
		},
		success:function(data)
		{
			//console.log("dup_mgrname_check_refresh="+data);
			if(data)
			{
				$("#dup_mgrname_msg_item9").html(data);
			}
		}
	});
}

$(function(){
	$('#slt_opt').change("propertychange change keyup paste input", function() {
		var selected_name = $("#slt_opt option:selected").text();
		var selected_val = $(this).val();
		switch (selected_val) {
			case 'date':
				$("#opt_date_st").attr("type", "date");
				$("#opt_date_st").attr("placeholder", "");
				$("#opt_date_st").val($("#d1").text());
				$("#opt_date_stop").attr("type", "date");
				$("#opt_date_stop").val(getTimeStamp());
				$("#opt_type").text(selected_val);
				$("#btn_opt_search4top").html(" <span class='material-icons' style='font-size:1.3rem;'> manage_search </span> ");
				$("#opt_date_st").css("width", "90px");
				$("#opt_date_stop").css("width", "90px");
				$("#opt_tilde_sign").css("display", "");
				break;
			case 'trfS':
				$("#opt_date_st").attr("type", "number");
				$("#opt_date_st").attr("placeholder", "최소 Mbps");
				if (parseFloat($("#d1").text()) >= 10000.0) {
					$("#opt_date_st").val("10.0");
				} else {
					$("#opt_date_st").val($("#d1").text());
				}
				$("#opt_date_stop").attr("type", "number");
				$("#opt_date_stop").attr("placeholder", "최대 Mbps");
				if (parseFloat($("#d2").text()) >= 10000.0) {
					$("#opt_date_stop").val("500.0");
				} else {
					$("#opt_date_stop").val($("#d2").text());
				}
				$("#opt_type").text(selected_val);
				$("#btn_opt_search4top").html(" <span class='material-icons' style='font-size:1.3rem;'> manage_search </span> ");
				$("#opt_date_st").css("width", "100px");
				$("#opt_date_stop").css("width", "100px");
				$("#opt_tilde_sign").css("display", "");
				break;
			case 'numS':
			case 'mgrnumS':
			case 'ipS':
			case 'cpuS':
			case 'gpuS':
			case 'odnumS':
			case 'mbidS':
			case 'mbnameS':
			case 'mbnickS':
			case 'anydeskidS':
			case 'teamvieweridS':
				$("#opt_date_st").attr("type", "text");
				$("#opt_date_st").attr("placeholder", "여러개 입력시 콤마(,)로 구분 (예: A,B,C)");
				$("#opt_date_st").val("");
				$("#opt_date_stop").attr("type", "hidden");
				$("#opt_date_stop").val("");
				$("#opt_type").text(selected_val);
				$("#btn_opt_search4top").html(" <span class='material-icons' style='font-size:1.3rem;'> manage_search </span> ");
				$("#opt_date_st").css("width", "300px");
				$("#opt_date_stop").css("width", "300px");
				$("#opt_tilde_sign").css("display", "none");
				break;
			case 'oddateS':

			default:
				alert(selected_name + "은(는) 현재 개발중인 검색항목입니다.\n빠른 시일내에 개발완료토록 하겠습니다.");
				return false;
			}

		//chkbox_manual_distribution(selected_storeid,selected_storename);
	});

	$('#slt_opt4top').change("propertychange change keyup paste input", function() {
		var selected_name = $("#slt_opt4top option:selected").text();
		var selected_val = $(this).val();
		switch (selected_val) {
			case 'date':
				$("#opt_date_st4top").attr("type", "date");
				$("#opt_date_st4top").attr("placeholder", "");
				$("#opt_date_st4top").val("");
				$("#opt_date_st4top").val($("#d1").text());
				$("#opt_date_stop4top").attr("type", "date");
				$("#opt_date_stop4top").val(getTimeStamp());
				$("#opt_type4top").text(selected_val);
				$("#btn_opt_search4top").html(" <span class='material-icons' style='font-size:0.9rem;'> search </span> ");
				$("#opt_date_st4top").css("width", "90px");
				$("#opt_date_st4top").css("padding", "4px");
				$("#opt_date_stop4top").css("width", "90px");
				$("#opt_date_stop4top").css("padding", "4px");
				$("#opt_tilde_sign4top").css("display", "");
				break;
			case 'trfS':
				$("#opt_date_st4top").attr("type", "number");
				$("#opt_date_st4top").attr("placeholder", "최소 Mbps");
				if (parseFloat($("#d1").text()) >= 10000.0) {
					$("#opt_date_st4top").val("10.0");
				} else {
					$("#opt_date_st4top").val($("#d1").text());
				}
				$("#opt_date_stop4top").attr("type", "number");
				$("#opt_date_stop4top").attr("placeholder", "최대 Mbps");
				if (parseFloat($("#d2").text()) >= 10000.0) {
					$("#opt_date_stop4top").val("500.0");
				} else {
					$("#opt_date_stop4top").val($("#d2").text());
				}
				$("#opt_type").text(selected_val);
				$("#btn_opt_search4top").html(" <span class='material-icons' style='font-size:0.9rem;'> search </span> ");
				$("#opt_date_st4top").css("width", "50px");
				$("#opt_date_st4top").css("padding", "4px");
				$("#opt_date_stop4top").css("width", "50px");
				$("#opt_date_stop4top").css("padding", "4px");
				$("#opt_tilde_sign4top").css("display", "");
				break;
			case 'numS':
			case 'mgrnumS':
			case 'ipS':
			case 'cpuS':
			case 'gpuS':
			case 'odnumS':
			case 'mbidS':
			case 'mbnameS':
			case 'mbnickS':
			case 'anydeskidS':
			case 'teamvieweridS':
				$("#opt_date_st4top").attr("type", "text");
				$("#opt_date_st4top").attr("placeholder", "콤마(,)로 구분입력 (예: A,B,C)");
				if ($("#opt_date_st4top").val().match(/^\d{4}-\d{2}-\d{2}$/)) {
					$("#opt_date_st4top").val("");
				}
				$("#opt_date_stop4top").attr("type", "hidden");
				$("#opt_date_stop4top").val("");
				$("#opt_type").text(selected_val);
				$("#btn_opt_search4top").html(" <span class='material-icons' style='font-size:0.9rem;'> search </span> ");
				$("#opt_date_st4top").css("width", "150px");
				$("#opt_date_st4top").css("padding", "5px");
				$("#opt_date_stop4top").css("width", "150px");
				$("#opt_date_stop4top").css("padding", "5px");
				$("#opt_tilde_sign4top").css("display", "none");
				break;
			case 'oddateS':

			default:
				alert(selected_name + "은(는) 현재 개발중인 검색항목입니다.\n빠른 시일내에 개발완료토록 하겠습니다.");
				return false;
			}

		//chkbox_manual_distribution(selected_storeid,selected_storename);
	});
});

function reload_option_page() {
	var selected_name = $("#slt_opt option:selected").text();
	var selected_val = $("#slt_opt option:selected").val();
	var d1 = $("#opt_date_st").val();
	var d2 = $("#opt_date_stop").val();

	console.log("#"+selected_val+"#"+d1+"#"+d2);
	switch (selected_val) {
		case 'date':
			if (d1=="") {
				d1 = d2;
			} else if (d2=="") {
				d2 = d1;
			} else {
				if (d2 < d1) {
					alert("정렬순서상 오래된 날짜를 조회 시작일로 변경한 후 조회합니다.");
					var d_tmp = d1;
					d1 = d2;
					d2 = d_tmp;
				}
			}
			if (d1=='') {
				alert('조회시작일을 입력하세요');
				$("#opt_date_st").focus();
			} else if (d2=='') {
				alert('조회종료일을 입력하세요');
				$("#opt_date_stop").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'numS':
			if (d1=='') {
				alert('조회할 품번들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				console.log(link);
				location.href=link;
			}
			break;

		case 'mgrnumS':
			if (d1=='') {
				alert('조회할 관리넘버들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'odnumS':
			if (d1=='') {
				alert('조회할 주문번호들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'oddateS':
			if (d1=='') {
				alert('조회할 결제일자들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'mbidS':
			if (d1=='') {
				alert('조회할 회원ID들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'mbnameS':
			if (d1=='') {
				alert('조회할 회원명들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'mbnickS':
			if (d1=='') {
				alert('조회할 닉네임들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'ipS':
			if (d1=='') {
				alert('조회할 IP주소들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'trfS':
			if (d1=="") {
				d1 = d2;
			} else if (d2=="") {
				d2 = d1;
			} else {
				if (parseFloat(d2) < parseFloat(d1)) {
					alert("정렬순서상 작은 수치를 시작수치로 변경한 후 조회합니다.");
					var d_tmp = d1;
					d1 = d2;
					d2 = d_tmp;
				}
			}

			if (d1=='') {
				alert('조회할 트래픽 최소 Mbps를 입력하세요.');
				$("#opt_date_st").focus();
			} else if (d2=='') {
				alert('조회할 트래픽 최대 Mbps를 입력하세요.');
				$("#opt_date_stop").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'cpuS':
			if (d1=='') {
				alert('조회할 CPU들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'gpuS':
			if (d1=='') {
				alert('조회할 GPU들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		default:
			alert("현재 개발중인 검색항목입니다.\n빠른 시일내에 개발완료토록 하겠습니다.");

	}
}

function reload_option_page4top() {
	var selected_name = $("#slt_opt4top option:selected").text();
	var selected_val = $("#slt_opt4top option:selected").val();
	var d1 = $("#opt_date_st4top").val();
	var d2 = $("#opt_date_stop4top").val();

	console.log("#"+selected_val+"#"+d1+"#"+d2);
	switch (selected_val) {
		case '':
		case 'none':
			alert('검색항목선택 → 검색어 입력 → 검색버튼클릭 순서로 진행해 주십시오.');
			$("#slt_opt4top").focus();
			break;

		case 'date':
			if (d1=="") {
				d1 = d2;
			} else if (d2=="") {
				d2 = d1;
			} else {
				if (d2 < d1) {
					alert("정렬순서상 오래된 날짜를 조회 시작일로 변경한 후 조회합니다.");
					var d_tmp = d1;
					d1 = d2;
					d2 = d_tmp;
				}
			}
			if (d1=='') {
				alert('조회시작일을 입력하세요');
				$("#opt_date_st4top").focus();
			} else if (d2=='') {
				alert('조회종료일을 입력하세요');
				$("#opt_date_stop4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'numS':
			if (d1=='') {
				alert('조회할 품번들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				console.log(link);
				location.href=link;
			}
			break;

		case 'mgrnumS':
			if (d1=='') {
				alert('조회할 관리넘버들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'odnumS':
			if (d1=='') {
				alert('조회할 주문번호들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'oddateS':
			if (d1=='') {
				alert('조회할 결제일자들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'mbidS':
			if (d1=='') {
				alert('조회할 회원ID들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'mbnameS':
			if (d1=='') {
				alert('조회할 회원명들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'mbnickS':
			if (d1=='') {
				alert('조회할 닉네임들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'ipS':
			if (d1=='') {
				alert('조회할 IP주소들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'trfS':
			if (d1=="") {
				d1 = d2;
			} else if (d2=="") {
				d2 = d1;
			} else {
				if (parseFloat(d2) < parseFloat(d1)) {
					alert("정렬순서상 작은 수치를 시작수치로 변경한 후 조회합니다.");
					var d_tmp = d1;
					d1 = d2;
					d2 = d_tmp;
				}
			}

			if (d1=='') {
				alert('조회할 트래픽 최소 Mbps를 입력하세요.');
				$("#opt_date_st4top").focus();
			} else if (d2=='') {
				alert('조회할 트래픽 최대 Mbps를 입력하세요.');
				$("#opt_date_stop4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'cpuS':
			if (d1=='') {
				alert('조회할 CPU들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'gpuS':
			if (d1=='') {
				alert('조회할 GPU들을 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'anydeskidS':
			if (d1=='') {
				alert('조회할 애니데스크ID를 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		case 'teamvieweridS':
			if (d1=='') {
				alert('조회할 팀뷰어ID를 입력하세요.\n콤마(,)로 구분하여 여러개 입력가능 합니다.');
				$("#opt_date_st4top").focus();
			} else {
				var link = "index_admin_list_v2b.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+d1+"&d2="+d2+"&type="+selected_val;
				//console.log(link);
				location.href=link;
			}
			break;

		default:
			alert("현재 개발중인 검색항목입니다.\n빠른 시일내에 개발완료토록 하겠습니다.");

	}
}

$(document).keyup(function(event) {
    if (event.which === 13 && $(':focus').attr('id') == 'opt_date_st4top' ) { // 엔터키와 input focus id 일치하는지 체크
        reload_option_page4top(); // 조회페이지 실행
    }
});

function getTimeStamp() {
    var d = new Date();

    var s =
        leadingZeros(d.getFullYear(), 4) + '-' +
        leadingZeros(d.getMonth() + 1, 2) + '-' +
        leadingZeros(d.getDate(), 2);

    return s;
}

function leadingZeros(n, digits) {
    var zero = '';
    n = n.toString();

    if (n.length < digits) {
        for (i = 0; i < digits - n.length; i++)
            zero += '0';
    }

    return zero + n;
}

function history_detail_view(itemval,typeval) {
	switch (typeval) {
		case 'numS':
			$.ajax({
				url: 'index_admin_smart_rental_history_detail_view_ajax_v2.php',
				type: 'POST',
				dataType: 'html',
				data: {
					s: $('#s').text(),
					storeid: $("#g").text(),
					typeval: typeval,
					itemval: itemval,
					action:'ajax'
				},
				success:function(data)
				{
					if(data)
					{
						var link = "index_admin_list_v2bdel.php?s="+$("#s").text()+"&k="+$("#k").text()+"&g="+$("#g").text()+"&d1="+data+"&d2=&type="+typeval+"&item="+itemval;
						location.href=link;
					}
				}
			});
			break;
		default:
	}
}


function shop_id_linkage_save(num, memid, memname) {
	var shop_id = $.trim($("#idlink_"+num).val());
	$("#shop_id_linkage_id").val(shop_id);
	$("#shop_id_linkage_num").val(num);
	$("#shop_id_linkage_memid").val(memid);
	$("#shop_id_linkage_memname").val(memname);

	// 모달 창 가져오기
	var modal = document.getElementById("myModal");
	// 모달 창을 여는 함수
	function openModal() {
		modal.style.display = "block";
	}
	// 모달 창을 닫는 함수
	function closeModal() {
		modal.style.display = "none";
	}
	// 'X' 버튼을 클릭하면 모달 창 닫기
	document.getElementsByClassName("close")[0].onclick = function() {
		closeModal();
	}

	var shop_id = $.trim(document.getElementById("shop_id_linkage_id").value);
	if (shop_id != "") {
		// 모달 창을 열어서 사용자 입력 받기
		$("#shop_id_linkage_prompt").html("※연동시킬 매니저 아이디는 " + memid +" 입니다."+"<br>렌탈몰 아이디 "+ shop_id +" 의 암호를 입력하세요.");
		openModal();
	} else {
		shop_id_linkage_save_process();
	}
}

function shop_id_linkage_save_process() {
	var num = document.getElementById("shop_id_linkage_num").value;
	var memid = document.getElementById("shop_id_linkage_memid").value;
	var memname = document.getElementById("shop_id_linkage_memname").value;
	var shop_id = document.getElementById("shop_id_linkage_id").value;
	var shop_passwd = document.getElementById("shop_id_linkage_password").value;

	// 모달 창 가져오기
	var modal = document.getElementById("myModal");
	// 모달 창을 여는 함수
	function openModal() {
		modal.style.display = "block";
	}
	// 모달 창을 닫는 함수
	function closeModal() {
		modal.style.display = "none";
	}
	// 'X' 버튼을 클릭하면 모달 창 닫기
	document.getElementsByClassName("close")[0].onclick = function() {
		closeModal();
	}

	closeModal();

	setTimeout(function() {
		if (confirm("아래의 로그인 아이디를 '렌탈몰 업무연동 ID등록' 하시겠습니까?\n\n관리자명: " + memname + "\n매니저ID: " + memid + "\n렌탈몰ID: " + $("#idlink_"+num).val()))
		{
			$.ajax({
				url: 'index_admin_register_shop_id_linkage_ajax_v2.php',
				type: 'POST',
				dataType: 'html',
				data: {
					num: num,
					memid: memid,
					memname: memname,
					shop_id: shop_id,
					shop_passwd: shop_passwd,
					action:'ajax'
				},
				success:function(data)
				{
					if(data)
					{
						if (data == 'success')
						{
							if (shop_id == "")	{
								alert("렌탈몰 아이디와의 연동이 해제되었습니다.");
							} else {
								alert("등록 성공!\n이제부터 관리자ID '"+memid+"'는 렌탈몰ID '"+shop_id+"'와 업무연동됩니다.");
							}
						} else {
							alert(data);
							//$("#idlink_"+num).val("");
							$("#idlink_"+num).focus();
							$("#shop_id_linkage_password").val("");
						}
					}
				}
			});
		}
	}, 10); // 1000밀리초 지연



}

function shop_id_linkage_process(s,url) {
	$.ajax({
		type: "POST",
		url: "/bbs/login_check_for_id_linkage.php", // 로그인 처리를 하는 PHP 파일 경로
		data: {
			s: s,
		},
		success: function(response) {
			var data = $.trim(response);
			if (data === "success") {
				window.open(url+'&s='+s, s, 'width=1250,height=1000');
			} else {
				alert(data);
				return false;
			}
		},
		error: function(xhr, status, error) {
			// 로그인 실패 시 처리
			alert("로그인에 문제가 발생하였습니다 : " + xhr.responseText);
		}
	});
}

function openInNewWindow(url) {
    // 디스플레이 크기 계산
    const screenWidth = window.screen.availWidth;
    const screenHeight = window.screen.availHeight;

    // 여백 설정 (30px)
    const margin = 30;
    const width = screenWidth - margin * 2;
    const height = screenHeight - margin * 2;

    // 새 창 위치 계산
    const left = margin;
    const top = margin;

    // 새 창 열기
    window.open(url, '_blank', `width=${width},height=${height},left=${left},top=${top},scrollbars=yes,resizable=yes`);
}